weka.classifiers.trees.ht

## Class SplitMetric

- java.lang.Object
- - weka.classifiers.trees.ht.SplitMetric

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    GiniSplitMetric, InfoGainSplitMetric

      public abstract class SplitMetric
      extends java.lang.Object
      implements java.io.Serializable

  Base class for split metrics
  Version:
    $Revision: 9720 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitMetric()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double` | `evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist, java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)` Evaluate the merit of a split
    `abstract double` | `getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)` Get the range of the splitting metric
    `static double` | `sum(java.util.Map<java.lang.String,WeightMass> dist)` Utility method to return the sum of instance weight in a distribution

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitMetric

          public SplitMetric()

  - ### Method Detail

    - #### sum

          public static double sum(java.util.Map<java.lang.String,WeightMass> dist)

      Utility method to return the sum of instance weight in a distribution
      Parameters:
        `dist` - the distribution
      Returns:
        the sum of the weights contained in a distribution

    - #### evaluateSplit

          public abstract double evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist,
                                               java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)

      Evaluate the merit of a split
      Parameters:
        `preDist` - the class distribution before the split
        `postDist` - the class distributions after the split
      Returns:
        the merit of the split

    - #### getMetricRange

          public abstract double getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)

      Get the range of the splitting metric
      Parameters:
        `preDist` - the pre-split class distribution
      Returns:
        the range of the splitting metric